<?php
/*
	Plugin Name: My Theme Change
*/

function my_theme_change($template) {
	if ( function_exists( 'wp_get_current_user' ) ) {
		// wp_get_current_user関数が定義されている場合
		$user = wp_get_current_user();
	} else {
		// wp_get_current_user関数が未定義の場合
		$user = (object)array( 'data'=>null );
	}

	if($user->ID === 2) { //開発用のユーザーIDを指定
		return 'my-theme_develop'; //開発用テーマのフォルダ名
	} else {
		return $template;
	}
}

add_filter('template', 'my_theme_change');
add_filter('stylesheet', 'my_theme_change');

?>
